org.gradle.caching

## Class BuildCacheException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - org.gradle.api.GradleException
        - - org.gradle.caching.BuildCacheException

- All Implemented Interfaces:
    Serializable

      public class BuildCacheException
      extends GradleException

  `BuildCacheException` is the base class of all exceptions thrown by a `BuildCache`.

  A `BuildCacheException` is considered a non-fatal failure. Gradle should still be able to complete a build even when a `BuildCacheException` is encountered.
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `BuildCacheException()`
    `BuildCacheException(String message)`
    `BuildCacheException(String message, Throwable cause)`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### BuildCacheException

          public BuildCacheException()

    - #### BuildCacheException

          public BuildCacheException(String message)

    - #### BuildCacheException

          public BuildCacheException(String message,
                             Throwable cause)